import axios from 'axios';

export default {
  fetchProducts({ commit }, params) {
    commit('setIsLoading', true);
    return axios.get('http://localhost:3000/products', params)
      .then(({ data }) => {
        commit('setData', data);
      })
      .catch(() => {
        commit('setHasError', true);
      })
      .finally(() => {
        commit('setIsLoading', false);
      })
  },
};
